Arch Светопрозрачный фасад

From FreeCAD Documentation
This page is a translated version of the page Arch CurtainWall and the translation is 40% complete.

Светопрозрачный фасад

Системное название
Arch_CurtainWall
Расположение в меню
Arch → Светопрозрачный фасад
Верстаки
Arch
Быстрые клавиши
C W
Представлено в версии
0.19
См. также
Стена, Сетка

Описание

This tool creates a curtain wall by subdividing a base face into quadrangular faces, then creating vertical mullion on the vertical edges, horizontal mullions on the horizontal edges, and filling the spaces between mullions with panels.

Curtain Walls can be created from any type of existing object, in which case all the faces of the object will be subdivided. It works therefore best if used with an object that has only one face. Typically, you would first create a face, preferably bound by exactly 4 edges, that represents the area you want to fill with a curtain wall, then apply the tool.

Curtain walls can also be built from a linear object, such as a line, arc or polyline, like the normal wall tool.

Faces that have double curvature, or faces with more than 4 edges will work too, but the result is less predictable.

Faces will be divided in quadrangular facets. If the 4 points of the facet are coplanar, a square facet is created. If not, it is divided into two triangles and a diagonal mullion is added.

In case you need a non-regular subdivision, it is also possible to build your own subdivided object, for example using Arch Grid, and set the vertical and horizontal subdivisions of the curtain wall to 1.

You can also use the curtain wall tool without any selected object, in which case you will be able to draw a baseline, which will the be extruded vertically to form the face on which the curtain wall will be built.

Применение

Drawing a curtain wall from scratch

  1. Make sure nothing is selected
  2. Press the CurtainWall button, or press C then W keys.
  3. Click a first point on the 3D view, or type coordinates.
  4. Click a second point on the 3D view, or type coordinates.
  5. Adjust needed properties.

Creating a curtain wall from a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc).
  2. Press the CurtainWall button, or press the C then W keys.
  3. Adjust needed properties.

Опции

  • Curtain walls share the common properties and behaviours of all Arch Components
  • Curtain wall mullions can be made from an automatic square profile (set their Mullion Size properties) or from a custom profile (set their Mullion Profile property). The mullions can be centered over each edge, or placed relatively to the (0,0,0) point by turning off the Center Profile property. For example, if you want a profile to be placed slightly behind the panels, you would draw that profile slightly below the (0,0,0) origin point
  • Curtain walls support Multi-materials. Inside the multi-material, the Frame layer will be used for the mullions, and the Glass panel layer for panels, or Solid panel if no Glass panel layer exists in the multi-material.
  • Curtain walls can be based on a linear object such as a line, arc or polyline. In that case, internally, a base surface will be built by extruding the linear object along the direction given by the Vertical Direction property, by the length given by the Height property.

Свойства

Curtain wall objects inherit the properties of Arch Components objects, and also have the following extra properties:

  • ДанныеVertical Mullion Number:The number of vertical mullions
  • ДанныеVertical Mullion Alignment: If the profile of the vertical mullions get aligned with the surface or not
  • ДанныеVertical Sections: The number of vertical sections of this curtain wall
  • ДанныеVertical Mullion Height: The height of the vertical mullions profile, if no profile is used
  • ДанныеVertical Mullion Width: The width of the vertical mullions profile, if no profile is used
  • ДанныеVertical Mullion Profile: A profile for vertical mullions (disables vertical mullion size)
  • ДанныеHorizontal Mullion Number: The number of horizontal mullions
  • ДанныеHorizontal Mullion Alignment: If the profile of the horizontal mullions gets aligned with the surface or not
  • ДанныеHorizontal Sections: The number of horizontal sections of this curtain wall
  • ДанныеHorizontal Mullion Height: The height of the horizontal mullions profile, if no profile is used
  • ДанныеHorizontal Mullion Width: The width of the horizontal mullions profile, if no profile is used
  • ДанныеHorizontal Mullion Profile: A profile for horizontal mullions (disables horizontal mullion size)
  • ДанныеDiagonal Mullion Number: The number of diagonal mullions
  • ДанныеDiagonal Mullion Size: The size of the diagonal mullions, if any, if no profile is used
  • ДанныеDiagonal Mullion Profile: A profile for diagonal mullions, if any (disables horizontal mullion size)
  • ДанныеPanel Number: The number of panels
  • ДанныеPanel Thickness: The thickness of the panels
  • ДанныеSwap Horizontal Vertical: Swaps horizontal and vertical lines
  • ДанныеRefine: Perform subtractions between components so none overlap
  • ДанныеCenter Profiles: Centers the profile over the edges or not
  • ДанныеVertical Direction: The vertical direction reference to be used by this object to deduce vertical/horizontal directions. Keep it close to the actual vertical direction of your curtain wall
  • ДанныеHeight: The height of this curtain wall, in case it is based on a linear object
  • ДанныеHost: The host of this curtain wall. The curtain wall will appear embedded in its host object in the tree view (no other action is performed)

Изготовление каркасных стен

Curtain walls are convenient to use in conjunction with walls to create frame walls (walls where an inner, structural layer is made of frames, usually wooden or metal, instead of an homogeneous material such as concrete or brick).

The procedure described below creates a wall and a curtain wall based on a same baseline, then gives the wall a multi-material which leaves an empty space, where the curtain wall is placed:

  1. Create a normal Arch Wall, either by clicking two points of from an existing linear object
  2. Select the base object of the newly created arch wall
  3. Press the CurtainWall button, or press the C then W keys to create a curtain wall from the same baseline as the wall
  4. Make sure both the wall and curtain wall have the same Height
  5. Set the number of horizontal sections of the curtain wall to zero if you wish only vertical frames
  6. Set the desired horizontal mullion width and horizontal mullion height (or use a mullion profile)
  7. Prepare two (or more) materials, one for the panels, one for the void where the frame will be
  8. Make one multi-material, using one layer of the panel material, one layer of the void material with a negative width value (which will make it not drawn) corresponding to the vertical mullion height of the curtain wall, and another layer of panel material
  9. Attribute the multi-material to the wall
  10. Set the Host property of the curtain wall to the wall we created in first point

Программирование

См. так же: Arch API и Основы составления скриптов в FreeCAD.

The Curtain wall tool can be used in macros and from the Python console by using the following function:

MyCurtainWall = makeCurtainWall(baseobj)

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseface = FreeCAD.ActiveDocument.addObject('Part::Extrusion','Extrusion')
baseface.Base = baseline
baseface.DirMode = "Normal"
baseface.LengthFwd = 2000
curtainwall = Arch.makeCurtainWall(baseface)
curtainWall.VerticalSections = 6
FreeCAD.ActiveDocument.recompute()